<!DOCTYPE HTML>
<html>
<head>
<h1> cursor on image </h1>
<style>
body{
  background:radial-gradient(mistyrose,black);
  height:100%;
  width:100%;
  position:relative;
  overflow:hidden;
}
.container {
  display: flex;
  width: 50%;
  padding: 4% 2%;
  eff-sizing: border-eff;
  height: 75vh;
}

.eff {
  flex: 1;
  overflow: hidden;
  transition: .5s;
  margin: 0 2%;
}

.eff > img {
  width: 100%;
  height: 90vh;
  object-fit: cover; 
  transition: .5s;
}
.eff:hover { 
flex: 50%; 
}
.eff:hover > img {
  width: 75%;
  height: 75%;
}
</head>
</style>
 <body>
<div class="container">
  <div class="eff">
    <img src="try.jpg" onclick="rep(this)">
	<h1 style="text-align:center"><b> FOOD1 </b></h1>
  </div>
  <div class="eff">
    <img src="try2.jpg" onclick="rep(this);">
	<h1 style="text-align:center"><b> FOOD2 </b></h1>
  </div>
  <div class="eff">
    <img src="try3.jpg" onclick="rep(this);">
    <h1 style="text-align:center"><b> FOOD3 </b></h1>
  </div>
  <div class="eff">
    <img src="try4.jpg" onclick="rep(this);">
   <h1 style="text-align:center"><b> FOOD4 </b></h1>
  </div>
</div>
<div >
  <img id="eim" style="width:100%">
  <div id="imgtext"></div>
</div>
<script>
function rep(imgs) {
  var expandImg = document.getElementById("eim");
  var imgText = document.getElementById("imgtext");
  expandImg.src = imgs.src;
  imgText.innerHTML = imgs.alt;
  expandImg.parentElement.style.display = "block";
}
</script>

</body>
</html>
